# PetscOpenMPNew

Creates a "c struct" on all nodes of an OpenMP communicator

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscOpenMPNew(MPI_Comm comm,PetscInt n,void **ptr)

Collective on MPI_Comm

Note: n is a PetscInt when it "really" should be a size_t

### See Also

PetscOpenMPMerge()

Level:developer
Location: src/sys/objects/mpinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages